## CajaColumn CajaColumn |

## Properties

gchar * | attribute | Read / Write
guint | attribute-q | Read
gchar * | description | Read / Write
gchar * | label | Read / Write
gchar * | name | Read / Write / Construct Only
gfloat | xalign | Read / Write

## Types and Values

| CajaColumnDetails
| CajaColumn

## Object Hierarchy

        GObject
        ╰── CajaColumn

## Description

## Functions

## Types and Values

### CajaColumnDetails

    typedef struct _CajaColumnDetails CajaColumnDetails;

### CajaColumn

    typedef struct _CajaColumn CajaColumn;

## Property Details

### The `“attribute”` property

      “attribute”                gchar *

The attribute name to display.

Flags: Read / Write

Default value: NULL

### The `“attribute-q”` property

      “attribute-q”              guint

The attribute name to display, in quark form.

Flags: Read

Default value: 0

### The `“description”` property

      “description”              gchar *

A user-visible description of the column.

Flags: Read / Write

Default value: NULL

### The `“label”` property

      “label”                    gchar *

Label to display in the column.

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     gchar *

Name of the column.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“xalign”` property

      “xalign”                   gfloat

The x-alignment of the column.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0